<?php

require_once "../../../app/model/db.class.php";
session_start();
function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

 function descrip_cur($tabla,$cod,$cod2){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$cod2."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }


function descrip_prof($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         
         $result=$obj->consulta("select * from ".$tabla." where cedula='".$_SESSION['profesor']."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $_SESSION['profesor']." - ".$rs['nombres'];
    }


if($_REQUEST['accion']=='tabla')
    {
        $grado=$_REQUEST['grado'];
        $curso=$_REQUEST['curso'];        
        $asignatura=$_REQUEST['asignatura'];

        $v1='';
        $v2='';
        $v3='';
        $v4='';

        if($grado!='')//---grado
        {
            $v1="='".$grado."'";
        }else{
            $v1=" like '%' ";
        }


        if($curso!='')//---curso
        {
            $v2="='".$curso."'";
        }else{
            $v2=" like '%' ";
        }

        if($_SESSION['profesor']!='')//---profesor
        {
            $v3="='".$_SESSION['profesor']."'";
        }else{
            $v3=" like '%' ";
        }

        if($asignatura!='')//---asignatura
        {
            $v4="='".$asignatura."'";
        }else{
            $v4=" like '%' ";
        }


        $obj=new database();
        $obj->conectar(); $obj->consulta("set names 'utf8'");
        
       $result=$obj->consulta("select * from curso_asignatura_profesor where grado ".$v1." and curso ".$v2." and profesor ".$v3." and asignatura ".$v4." order by orden asc;");

        $cadena="<center><table style='font-size:14px' border='0' cellspacing='3' cellpadding='2' class='t_info'>";
        $cadena.="<tr>";
        $cadena.="<th> GRADO </th>";
        $cadena.="<th> CURSO </th>";
        $cadena.="<th> ASIGNATURA </th>";
        $cadena.="<th width='400'> NOMBRE DE ASIGNATURA </th>";
        $cadena.="<th> I.H </th>";
        $cadena.="<th></th>";
        $cadena.="</tr>";


        if($obj->numero_de_filas($result))
        {


            while ( $tsArray = $obj->fetch_assoc($result) )
            {
            $data[] = $tsArray;

            }
            //print_r($data);


            for($i=0;$i<count($data);$i++){
                $cadena.="<tr onmouseover=\"this.style.backgroundColor='#89F2AC';\" onmouseout=\"this.style.backgroundColor='#BBE9EE';\">";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['grado']."&nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['curso']."&nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['asignatura']." &nbsp;</td>";
                $cadena.="<td>&nbsp; ".descrip('catalogo',$data[$i]['asignatura'])." &nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['intensidad']."&nbsp;</td>";

                $cadena.='<td align="center"> <img id="elemento2"  class="confirmar" src="../imagenes/editar.jpg" height="20" width="20" alt="Editar" title="Editar"
                    onclick="labor_academica('.$data[$i]['profesor'].',\''.$data[$i]['grado'].'\',\''.$data[$i]['curso'].'\',\''.$data[$i]['asignatura'].'\','.$data[$i]['orden'].')">  </td>';

            }


        }else{

            $cadena.="<tr>";
            $cadena.="<td colspan='7' align='center'>Labor Academica No Registrada</td>";
            $cadena.="</tr>";
        }


    $cadena.="</table>";

    $cadena.="</center>";



    echo $cadena;

    
    }

//------------------------

 if($_REQUEST['accion']=='infoprofesor')
    {
    
     echo descrip_prof('profesores', $_SESSION['profesor']);
    }
   
    
    
    
if($_REQUEST['accion']=='editar_labor_aca'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $codigo=$_REQUEST['codigo'];


    $obj=new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $result=$obj->consulta("select * from curso_asignatura_profesor where  orden='".$codigo."' and grado='".$grado."' and curso='".$curso."' and profesor='".$_SESSION['profesor']."' and asignatura='".$asignatura."';");
    $obj->disconnect();
    $info='';
    if($obj->numero_de_filas($result))
        {
            $info[]=$obj->fetch_assoc($result);
        }

//    print_r($info);

    $cadena="".$info[0]['profesor'].";";
    $cadena.="".descrip_prof('profesores',$info[0]['profesor']).";";

    $cadena.="".$info[0]['grado'].";";
    $cadena.="".descrip('grados',$info[0]['grado']).";";

    $cadena.="".$info[0]['curso'].";";
    $cadena.="".descrip_cur('cursos',$info[0]['curso'],$info[0]['grado']).";";

    $cadena.="".$info[0]['asignatura'].";";
    $cadena.="".descrip('catalogo',$info[0]['asignatura']).";";

    $cadena.="".$info[0]['intensidad'].";";
    $cadena.="".$info[0]['dias']."";

    echo $cadena;
}

    
    
if ($_POST['accion']=='mostrar_tabla'){

    $asignatura=$_REQUEST['asignatura'];
    $periodo=$_REQUEST['periodo'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];



        if($grado!='')//---grado
        {
            $v1="='".$grado."'";
        }else{
            $v1=" like '%' ";
        }


        if($curso!='')//---curso
        {
            $v2="='".$curso."'";
        }else{
            $v2=" like '%' ";
        }

        if($periodo!='')//---profesor
        {
            $v3="='".$periodo."'";
        }else{
            $v3=" like '%' ";
        }

        if($asignatura!='')//---asignatura
        {
            $v4="='".$asignatura."'";
        }else{
            $v4=" like '%' ";
        }

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from logros_hacer where grado ".$v1." and curso ".$v2." and asignatura ".$v4." and periodo ".$v3." order by logro_hacer asc;");
               
    $cadena="<center><table border='0' cellspacing='3' cellpadding='2' class='t_info'>";
    $cadena.="<tr style='font-weight:bold;font-size:13px;'>";

    $cadena.="<th>No.</th>";
    $cadena.="<th>FECHA</th>";
    $cadena.="<th>LOGRO</th>";    
    $cadena.="<th colspan='5' width='800'>DESCRIPCI&Oacute;N</th>";

    $cadena.="</tr>";
if($obj->numero_de_filas($resultado)!=0)
    {

    while ( $tsArray = $obj->fetch_assoc($resultado) )
            {
            $data[] = $tsArray;

            }

    for($i=0;$i<count($data);$i++){

        $cadena.="<tr>";

        $cadena.="<td style='font-size:12px;background-color:#F2F2F2' align='center' width='20'>".$data[$i]['codigo']."</td>";
        $cadena.="<td style='font-size:12px;background-color:#F2F2F2' align='center' width='50'>".$data[$i]['fecha']."</td>";
        $cadena.="<td style='font-size:12px;background-color:#F2F2F2' align='center' width='50'>".$data[$i]['logro_hacer']."</td>";


        $cadena.="<td style='font-size:12px'>".$data[$i]['descripcion']."</td>";

        $cadena.='<td align="center"> <img id="elemento1"  class="confirmar" src="../imagenes/foto1.jpg" height="20" width="20" alt="Eliminar" title="Eliminar"
                    onclick="eliminar('.$data[$i]['orden1'].')">  </td>';


        $cadena.='<td align="center"> <img id="elemento2"  class="confirmar" src="../imagenes/editar.jpg" height="20" width="20" alt="Editar" title="Editar"
                    onclick="editar('.$data[$i]['logro_hacer'].",".$data[$i]['orden1'].')">  </td>';

        $cadena.="</tr>";
    }
    }else{
         $cadena.="<tr><td colspan='8' align='center'>No Existen Actividades</td></tr>";
    }
    $cadena.="</table>";

    $cadena.="</center>";
   
    echo $cadena;

}

//---------------------------------------------------


if($_REQUEST['accion']=='editar_logros_competencias'){

    $orden=$_REQUEST['orden'];

    $obj=new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $result=$obj->consulta("select * from logros_hacer where orden1='".$orden."';");
    $obj->disconnect();
    $info='';
    if($obj->numero_de_filas($result))
        {
            $info[]=$obj->fetch_assoc($result);
        }

    $cadena.="".$info[0]['codigo'].";";
    $cadena.="".$info[0]['fecha'].";";    
    $cadena.="".$info[0]['descripcion'].";";

    echo $cadena;
}


//--------------------------------------


if($_REQUEST['accion']=='eliminar_logros_comp'){

    $orden=$_REQUEST['orden'];


    $obj=new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $result=$obj->consulta("delete from logros_hacer where orden1='".$orden."' ;");
    $obj->disconnect();



    if($result){
        echo 'Registro Eliminado';
    }
}



//------------------------------------

if ($_POST['accion']=='grabar_log_comp'){

    
    $per=$_REQUEST['per'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura']; 
    $descrip=$_REQUEST['descrip'];
    $fecha=$_REQUEST['fecha'];    
    $ope=$_REQUEST['operacion'];
    $logro=$_REQUEST['logro'];

    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    

    if($ope=='x'){
        $resultado=$obj->consulta("select * from logros_hacer where grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."' and periodo='".$per."' and logro_hacer='".$logro."'");

        $n=$obj->numero_de_filas($resultado);
        $obj->consulta("insert into logros_hacer (grado,curso,asignatura,periodo,logro_hacer,codigo,fecha,descripcion,orden) values('".$grado."','".$curso."','".$asignatura."','".$per."','".$logro."','".($n+1)."','".$fecha."','".$descrip."','".($n+1)."')");
        echo "1";

    }else{
        
         $result=$obj->consulta("update logros_hacer set  grado='".$grado."' ,
           curso='".$curso."' , periodo='".$per."' , logro_hacer='".$logro."' , asignatura='".$asignatura."' ,fecha='".$fecha."',descripcion='".$descrip."', orden='".$codigo."' where orden1='".$ope."'");

         if($result)
            echo '2';
            
    }
 
 $obj->disconnect(); 
   
}

//-------------------------------------
if ($_POST['accion']=='logros_hacer'){

    $per=$_REQUEST['per'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
   
    $query=$obj->consulta("select codigo,descripcion from logros 
                           WHERE grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."' and periodo='".$per."' and saber=2 order by orden asc");
    $obj->disconnect();

        $opciones = '<option value="0">     - SELECCIONAR LOGRO  - </option>';
         while($row =$obj->fetch_assoc($query)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".($row['descripcion']).'</option>';
         }

         echo $opciones;

}

//-------------------------------------
if ($_POST['accion']=='evidencias_hacer'){

    $per=$_REQUEST['per'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $logro=$_REQUEST['logro'];
    
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
   
    $query=$obj->consulta("select codigo,descripcion from logros_hacer 
                           WHERE grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."' and periodo='".$per."' and logro_hacer='".$logro."' order by codigo asc");
    $obj->disconnect();

        $opciones = '<option value="0">     - CONSULTAR EVIDENCIAS  - </option>';
         while($row =$obj->fetch_assoc($query)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion'].'</option>';
         }

         echo $opciones;

}


?>
